| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
gz_state Struct Reference

`#include <gzguts.h>`

## Public Attributes
int | mode
int | fd
char * | path
z_off64_t | pos
unsigned | size
unsigned | want
unsigned char * | in
unsigned char * | out
unsigned char * | next
unsigned | have
int | eof
z_off64_t | start
z_off64_t | raw
int | how
int | direct
int | level
int | strategy
z_off64_t | skip
int | seek
int | err
char * | msg
z_stream | strm

## Detailed Description

Definition at line 86 of file gzguts.h.

## Member Data Documentation

int gz_state::direct

Definition at line 103 of file gzguts.h.

int gz_state::eof

Definition at line 99 of file gzguts.h.

int gz_state::err

Definition at line 111 of file gzguts.h.

int gz_state::fd

Definition at line 89 of file gzguts.h.

unsigned gz_state::have

Definition at line 98 of file gzguts.h.

int gz_state::how

Definition at line 102 of file gzguts.h.

unsigned char* gz_state::in

Definition at line 94 of file gzguts.h.

int gz_state::level

Definition at line 105 of file gzguts.h.

int gz_state::mode

Definition at line 88 of file gzguts.h.

char* gz_state::msg

Definition at line 112 of file gzguts.h.

unsigned char* gz_state::next

Definition at line 96 of file gzguts.h.

unsigned char* gz_state::out

Definition at line 95 of file gzguts.h.

char* gz_state::path

Definition at line 90 of file gzguts.h.

z_off64_t gz_state::pos

Definition at line 91 of file gzguts.h.

z_off64_t gz_state::raw

Definition at line 101 of file gzguts.h.

int gz_state::seek

Definition at line 109 of file gzguts.h.

unsigned gz_state::size

Definition at line 92 of file gzguts.h.

z_off64_t gz_state::skip

Definition at line 108 of file gzguts.h.

z_off64_t gz_state::start

Definition at line 100 of file gzguts.h.

int gz_state::strategy

Definition at line 106 of file gzguts.h.

z_stream gz_state::strm

Definition at line 114 of file gzguts.h.

unsigned gz_state::want

Definition at line 93 of file gzguts.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/zlib/gzguts.h